date: 2006-07-06 15:18:48
isfamily: 1
isfriend: 1
source: http://farm1.static.flickr.com/67/202897779_cb8d306349_o.jpg
tags: people, club, Platforma Club, St.Petersburg, Russia
title: Platforma Club
url: http://www.flickr.com/photos/umonkey/202897779/
---
Photo courtesy of Paul Toohil.

&quot;This is the club in Saint Petersburg... Nice place for a coffee, but for a gig..?&quot;